/*
    Copyright 2005-2008 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; version 3 of the License.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the files lgpl-3.0.txt and
    gpl-3.0.txt. If not, see <http://www.gnu.org/licenses/>.

*/

#include "gaussproducer_gui.h"
#include "gaussproducer_gui.moc"
#include "gaussproducer.h"

#include <QtCore/QDebug>
#include <QtGui/QToolBar>
#include <QtGui/QAction>

GaussProducerGui::GaussProducerGui( NSCore::GaussProducer* prod, QWidget* p )
	: QWidget( p )
	, _gauss( prod )
	, _toolbar( new QToolBar( "Gauss-Pulse-Producer" ) )
{
	setupUi( this );

	_toolbar->addAction( actionGenerateOneEvent );
	_toolbar->addAction( actionGenerate );
}

void GaussProducerGui::on_btnGenN_clicked() {
	_gauss->generateNDataSets( spinBoxEvents->value() );
}
void GaussProducerGui::on_btnSingleGen_clicked() {
	_gauss->generateNDataSets( 1 );
}

