/*
    Copyright 2005-2008 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; version 3 of the License.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the files lgpl-3.0.txt and
    gpl-3.0.txt. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef GAUSSPRODUCER_GUI_H
#define GAUSSPRODUCER_GUI_H

#include <QtGui/QWidget>
#include "gaussreader_base.h"

namespace NSCore {
	class GaussProducer;
};

class QToolBar;

class GaussProducerGui : public QWidget, public Ui::GaussReaderBase
{
	Q_OBJECT
	public:
		GaussProducerGui( NSCore::GaussProducer*, QWidget* );

		QToolBar* toolbar() { return _toolbar; }

	private slots:
		void on_btnGenN_clicked();
		void on_btnSingleGen_clicked();

	private:
		NSCore::GaussProducer* _gauss;
		QToolBar* _toolbar;
};

#endif // GAUSSPRODUCER_GUI_H

