/*
    Copyright 2005-2008 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 3 of the License.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file gpl-3.0.txt. If not, see
    <http://www.gnu.org/licenses/>.

*/

#ifndef OSAPWINDOW_H
#define OSAPWINDOW_H

#include <QtGui/QWidget>
#include <QtGui/QTabWidget>
#include <QtCore/QString>
#include <QtCore/QVariant>
#include <QtCore/QMap>

#include <evaluationpath.h>

namespace NSAcqiris {
	class Acqiris;
	class Digitizer;
}

class AcqirisTabsV2Widget;
class OsciWidget;
class AbstractSpectrumModel;
class SpectrumGui;
class ResultsToSpectrum;
//class EvaluationPath_View;
class StackedIconWidget;

class QLayout;

class DigitizerWidget : public QWidget
{
	Q_OBJECT
	public:
		DigitizerWidget( NSAcqiris::Digitizer*, NSEvaluation::EvaluationPath*, ResultsToSpectrum*, QWidget* =0 );
		~DigitizerWidget();

	public slots:
		void openXMLFile();
		void openXML( QString xml );
		void saveXMLFile();
		void checkSpectra();

	private:

		QMap<QString,SpectrumGui*> _spectrumguis;

		AcqirisTabsV2Widget* _acqiristabs;
		StackedIconWidget* _stacked;
		ResultsToSpectrum* _results2spectrum;
		//EvaluationPath_View* _pathview;
		NSEvaluation::EvaluationPath* _path;
		NSAcqiris::Digitizer* _digitizer;
		QLayout* _layout;
};

class OSAPWindow : public QTabWidget
{
	Q_OBJECT
	public:
		OSAPWindow( QStringList arguments =QStringList(), QWidget* =0 );
		OSAPWindow( NSAcqiris::Acqiris*, QWidget* =0 );
		~OSAPWindow();
	public slots:
		void testing( QString, QVariant );
	private:
		void init( NSAcqiris::Acqiris* );
		QList<DigitizerWidget*> _digiwidgets;
		NSAcqiris::Acqiris *_acqiris;
		QList<QThread*> _threads;
};

#endif // OSAPWINDOW_H

